org.fourthline.cling.android

## Class NetworkUtils

- java.lang.Object
- - org.fourthline.cling.android.NetworkUtils

-     public class NetworkUtils
      extends Object

  Android network helpers.
  Author:
    Michael Pujos

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static android.net.NetworkInfo` | `getConnectedNetworkInfo(android.content.Context context)`
    `static boolean` | `isEthernet(android.net.NetworkInfo networkInfo)`
    `static boolean` | `isMobile(android.net.NetworkInfo networkInfo)`
    `static boolean` | `isNetworkType(android.net.NetworkInfo networkInfo, int type)`
    `static boolean` | `isSSDPAwareNetwork(android.net.NetworkInfo networkInfo)`
    `static boolean` | `isWifi(android.net.NetworkInfo networkInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetworkUtils

          public NetworkUtils()

  - ### Method Detail

    - #### getConnectedNetworkInfo

          public static android.net.NetworkInfo getConnectedNetworkInfo(android.content.Context context)

    - #### isEthernet

          public static boolean isEthernet(android.net.NetworkInfo networkInfo)

    - #### isWifi

          public static boolean isWifi(android.net.NetworkInfo networkInfo)

    - #### isMobile

          public static boolean isMobile(android.net.NetworkInfo networkInfo)

    - #### isNetworkType

          public static boolean isNetworkType(android.net.NetworkInfo networkInfo,
                                              int type)

    - #### isSSDPAwareNetwork

          public static boolean isSSDPAwareNetwork(android.net.NetworkInfo networkInfo)

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.